[-methods {unmarked} | R Documentation

## Methods for bracket extraction [ in Package ‘unmarked’

### Description

Methods for bracket extraction `[` in Package ‘unmarked’

### Usage

    ## S4 method for signature 'unmarkedEstimateList,ANY,ANY,ANY'
    x[i, j, drop]
    ## S4 method for signature 'unmarkedFit,ANY,ANY,ANY'
    x[i, j, drop]
    ## S4 method for signature 'unmarkedFrame,numeric,numeric,missing'
    x[i, j]
    ## S4 method for signature 'unmarkedFrame,list,missing,missing'
    x[i, j]
    ## S4 method for signature 'unmarkedMultFrame,missing,numeric,missing'
    x[i, j]
    ## S4 method for signature 'unmarkedMultFrame,numeric,missing,missing'
    x[i, j]
    ## S4 method for signature 'unmarkedFrameGMM,numeric,missing,missing'
    x[i, j]
    ## S4 method for signature 'unmarkedFrameGDS,numeric,missing,missing'
    x[i, j]
    ## S4 method for signature 'unmarkedFramePCO,numeric,missing,missing'
    x[i, j]

### Arguments

`x` | Object of appropriate S4 class
`i` | Row numbers
`j` | Observation numbers (eg occasions, distance classes, etc...)
`drop` | Not currently used

### Methods

x = "unmarkedEstimateList", i = "ANY", j = "ANY", drop = "ANY"

  Extract a unmarkedEstimate object from an unmarkedEstimateList by name (either 'det' or 'state')

x = "unmarkedFit", i = "ANY", j = "ANY", drop = "ANY"

  Extract a unmarkedEstimate object from an unmarkedFit by name (either 'det' or 'state')

x = "unmarkedFrame", i = "missing", j = "numeric", drop = "missing"

  Extract observations from an unmarkedFrame.

x = "unmarkedFrame", i = "numeric", j = "missing", drop = "missing"

  Extract rows from an unmarkedFrame

x = "unmarkedFrame", i = "numeric", j = "numeric", drop = "missing"

  Extract rows and observations from an unmarkedFrame

x = "unmarkedMultFrame", i = "missing", j = "numeric", drop = "missing"

  Extract primary sampling periods from an unmarkedMultFrame

x = "unmarkedFrame", i = "list", j = "missing", drop = "missing"

  List is the index of observations to subset for each site.

x = "unmarkedMultFrame", i = "numeric", j = "missing", drop = "missing"

  Extract rows (sites) from an unmarkedMultFrame

x = "unmarkedGMM", i = "numeric", j = "missing", drop = "missing"

  Extract rows (sites) from an unmarkedFrameGMM object

x = "unmarkedGDS", i = "numeric", j = "missing", drop = "missing"

  Extract rows (sites) from an unmarkedFrameGDS object

x = "unmarkedPCO", i = "numeric", j = "missing", drop = "missing"

  Extract rows (sites) from an unmarkedFramePCO object

### Examples

    data(mallard)
    mallardUMF <- unmarkedFramePCount(mallard.y, siteCovs = mallard.site,
    	obsCovs = mallard.obs)
    summary(mallardUMF)

    mallardUMF[1:5,]
    mallardUMF[,1:2]
    mallardUMF[1:5, 1:2]

[Package unmarked version 0.12-3 Index]